extends Node2D

signal poop
signal die

var health = 100
export var health_decay_rate = 1
var hunger = 0
export var hunger_growth_rate = 1
var fullness = 0
export var fullness_decay_rate = 2
var poopness = 0
export var poopness_growth_rate = 5
var happy
# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
  $AnimatedSprite.animation = "idle"
  $AnimatedSprite.playing = true


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#  pass


func _on_AnimatedSprite_animation_finished():
  if $AnimatedSprite.animation == "eat":
    $AnimatedSprite.animation = "idle"


func _on_GUI_feed():
  if $AnimatedSprite.animation == "eat":
    pass
  else:
    $AnimatedSprite.animation = "eat"
    fullness += 25
    hunger -= 25
    $EatSound.play()


func _process(delta):
  if fullness <= 50:
    hunger += hunger_growth_rate * delta

  if fullness > 0:
    poopness += poopness_growth_rate * delta

  if hunger >= 90:
    health -= health_decay_rate * delta

  fullness -= fullness_decay_rate * delta

  hunger = clamp(hunger,0,100)
  fullness = clamp(fullness,0,100)
  poopness = clamp(poopness,0,100)
  health = clamp(health,0,100)

  if poopness >= 100:
    emit_signal("poop")
    poopness = 0

  $VBoxContainer/HungerLable.text = "H: " + str(hunger)
  $VBoxContainer/FullnessLable.text = "F: " + str(fullness)
  $VBoxContainer/PoopnesssLable.text = "P: " + str(poopness)

